ugetx(3)

NAME
ugetx, ugetxc

SYNOPSIS
#include <allegro.h>

int ugetx(char **s); int ugetxc(const char **s);

DESCRIPTION
Low level helper function for reading Unicode text data. Given the address of a pointer to a string in the current encoding format, it returns the next character from the string, and advances the pointer to the character after the one just read. ugetxc is provided for working with pointer-to-pointer-to-const char data.

SEE ALSO
ugetc(3), usetc(3), uwidth(3), ucwidth(3), uisok(3)